Bug 397931 - gnome-power-manager disables screen blanking
gnome-power-manager disables screen blanking
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-24 12:16 EST by Walter Neumann
Modified: 2013-03-05 22:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-17 08:58:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Walter Neumann 2007-11-24 12:16:42 EST
Description of problem: Since installing fedora 8 screen blanking on my laptop
does not work, whatever settings I use in pm-utils preferences. If I set
blanking manually from a terminal using "xset dpms 0 0 300", after a few seconds
dpms has been reset to 0 0 0.  Killing gnome-power-manager fixes the problem, at
the cost of losing the rest of its functionality.

Version-Release number of selected component (if applicable):

How reproducible: Unavoidable: My screen never blanks, whatever I do.

Steps to Reproduce:
1.Do "xset dpms 0 0 300" from a terminal. "xset -q" shows these settings.
2.After a few seconds do "xset -q" again and settings are changed to 0 0 0
Actual results:
Screen never blanks, even if blanking is set im pm-util preferences or in
gnome-screensaver. Trying to set blanking manually as above is thwarted by

Expected results:
Screen should blank when machine is idle

Additional info:

I have uninstalled gnome-screensaver to be sure the problem is not related to
that. After killing gnome-power-manager I can set blanking with "xset dpms 0 0
300" and it works fine.
Comment 1 Till Maas 2007-11-24 12:31:42 EST
When killing gnome-power-manager helps, I believe it is a problem of this
package and not pm-utils. If you have any information on how pm-utils is
involved (which I do not think, because it only runs when you
suspend/hibernate/resume/thaw) then please reassign this bug to pm-utils.
Comment 2 Richard Hughes 2008-09-17 06:14:37 EDT
Right, g-p-m controls the blanking in the active session, as xset does not have inhibit controls or even a notion of multiple sessions active on one machine. Why do you want to use xset? Doesn't the screen blanking in g-p-m work for you?
Comment 3 Walter Neumann 2008-09-17 08:58:08 EDT
It is working fine for me at the moment in Fedora 9 so I'm marking it NOTABUG.

In Fedora 8 g-p-m screen blanking would blank the screen without turning off the backlight (on two different laptops and my workstation).

Note You need to log in before you can comment on or make changes to this bug.